<template>
    <v-layout align-start justify-center row fill-height wrap>
        <v-flex xs12>
            <v-img :src="require('../assets/logo.jpg')" class="my-3" contain height="200" :lazy-src="require('../assets/spinner.gif')"></v-img>
            <v-form>
                <v-text-field prepend-icon="person" name="login" label="Login" type="text" v-model="email" :error-messages="$store.getters.getErrors.email"></v-text-field>
                <v-text-field id="password" prepend-icon="lock" name="password" label="Password" type="password" v-model="password" :error-messages="$store.getters.getErrors.password"></v-text-field>
            </v-form>
            <v-spacer></v-spacer>
            <v-btn color="#3DBCEB" @click="validateUser">
                Login
            </v-btn>
        </v-flex>
        <snack-local v-bind:snackbar.sync="snackbar" :message="message" />
    </v-layout>
</template>

<script>
import {
    mapActions
} from 'vuex';
import {
    setTimeout
} from 'timers';
import SnackLocal from '../components/SnackBarLocal'

export default {
    components: {
      SnackLocal
    },
    data: () => ({
        email: 'iabbott@example.org',
        password: 'Luna0102',
        message: '',
        snackbar: false
    }),
    methods: {
        validateUser(evt) {
            evt.preventDefault();

            const {
                email,
                password
            } = this
            this.$store.dispatch('AUTH_REQUEST', {
                    email,
                    password
                })
                .then(() => {
                    this.$router.push('/dashboard')
                }).catch(err => {
                    console.log(err.response.data)
                    this.message = err.response.data.message
                    this.snackbar = true
                })
        }

    },
}
</script>

<style>

</style>
